InertiaSDK

Loading...
Searching...
No Matches
Public Member Functions | Static Public Member Functions | Public Attributes | List of all members
inertia::AccelConfig Struct Reference
Inheritance diagram for inertia::AccelConfig:
[legend]
Collaboration diagram for inertia::AccelConfig:
[legend]

## Public Member Functions
| AccelConfig (uint8_t const *in)
| AccelConfig (std::wstring const &argString)
void | GetBytes (std::vector< uint8_t > &out) const override
ConfigType | GetConfigType () const override
const std::wstring | ToString () const override
const std::wstring | ToSimpleString (uint16_t const globalRate) const
double | GetRangeFactor () const override
uint16_t | GetMaxRate () const override

## Static Public Member Functions
static const po::options_description | GetOptionDescription ()
static unsigned | GetLength ()

## Public Attributes
AccelRateLis3LV02 | hardwareRate0
AccelRateLis3DH | hardwareRate1
bool | hardwareScale0
AccelRangeLis3DH | hardwareScale1
AccelType | hardwareType
Public Attributes inherited from inertia::InertialConfig
bool | adoptOffset
bool | adoptScale
float | scaleX
float | scaleY
float | scaleZ
int16_t | offsetX
int16_t | offsetY
int16_t | offsetZ
Public Attributes inherited from inertia::SamplingConfig
bool | enableSampling
bool | enableTransmit
bool | enableLogging
bool | adoptMod
uint32_t | mod

## Additional Inherited Members
Protected Member Functions inherited from inertia::InertialConfig
| InertialConfig (uint8_t const *in)
| InertialConfig (std::wstring const &argString)
Protected Member Functions inherited from inertia::SamplingConfig
| SamplingConfig (uint8_t const *in)
| SamplingConfig (std::wstring const &argString)
void | GetBytes (std::vector< uint8_t > &out) const override
const std::wstring | ToString () const override
const std::wstring | ToSimpleString (uint16_t const globalRate) const
Protected Member Functions inherited from inertia::LegacyConfig
| LegacyConfig (uint8_t const *in)
| LegacyConfig (std::wstring const &argString)
Protected Member Functions inherited from inertia::AbstractConfig
| AbstractConfig (uint8_t const *in)
| AbstractConfig (std::wstring const &argString)
| AbstractConfig (AbstractConfig const &)=default
AbstractConfig & | operator= (AbstractConfig const &)=default
Static Protected Member Functions inherited from inertia::InertialConfig
static const po::options_description | GetOptionDescription ()
Static Protected Member Functions inherited from inertia::SamplingConfig
static const po::options_description | GetOptionDescription ()

## Member Function Documentation

## ◆ GetBytes()

void inertia::AccelConfig::GetBytes | ( | std::vector< uint8_t > & | out | ) | const
| override virtual

Reimplemented from inertia::InertialConfig.

## ◆ GetConfigType()

ConfigType inertia::AccelConfig::GetConfigType | ( |  | ) | const
| override virtual

Implements inertia::AbstractConfig.

## ◆ GetMaxRate()

uint16_t inertia::AccelConfig::GetMaxRate | ( |  | ) | const
| override virtual

Implements inertia::InertialConfig.

## ◆ GetRangeFactor()

double inertia::AccelConfig::GetRangeFactor | ( |  | ) | const
| override virtual

Implements inertia::InertialConfig.

## ◆ ToString()

const std::wstring inertia::AccelConfig::ToString | ( |  | ) | const
| override virtual

Reimplemented from inertia::InertialConfig.

The documentation for this struct was generated from the following file:

- AccelConfig.h